    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ----------------
    028     * ValueMarker.java
    029     * ----------------
    030     * (C) Copyright 2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: ValueMarker.java,v 1.3.2.1 2005/10/25 20:52:07 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 09-Feb-2004 : Version 1 (DG);
    040     * 16-Feb-2005 : Added new constructor (DG);
    041     */
    042
    043    package org.jfree.chart.plot;
    044
    045    import java.awt.Paint;
    046    import java.awt.Stroke;
    047
    048    /**
    049     * A marker that represents a single fixed value.
    050     */
    051    public class ValueMarker extends Marker {
    052
    053        /** The constant value. */
    054        private double value;
    055
    056        /**
    057         * Creates a new marker.
    058         *
    059         * @param value  the value.
    060         */
    061        public ValueMarker(double value) {
    062            super();
    063            this.value = value;
    064        }
    065
    066        /**
    067         * Creates a new marker.
    068         *
    069         * @param value  the value.
    070         * @param paint  the paint (<code>null</code> not permitted).
    071         * @param stroke  the stroke (<code>null</code> not permitted).
    072         */
    073        public ValueMarker(double value, Paint paint, Stroke stroke) {
    074            this(value, paint, stroke, paint, stroke, 1.0f);
    075        }
    076
    077        /**
    078         * Creates a new value marker.
    079         *
    080         * @param value  the value.
    081         * @param paint  the paint (<code>null</code> not permitted).
    082         * @param stroke  the stroke (<code>null</code> not permitted).
    083         * @param outlinePaint  the outline paint (<code>null</code> permitted).
    084         * @param outlineStroke  the outline stroke (<code>null</code> permitted).
    085         * @param alpha  the alpha transparency.
    086         */
    087        public ValueMarker(double value, Paint paint, Stroke stroke,
    088                           Paint outlinePaint, Stroke outlineStroke, float alpha) {
    089            super(paint, stroke, paint, stroke, alpha);
    090            this.value = value;
    091        }
    092
    093        /**
    094         * Returns the value.
    095         *
    096         * @return The value.
    097         */
    098        public double getValue() {
    099            return this.value;
    100        }
    101
    102        /**
    103         * Compares this marker against an arbitrary object.
    104         *
    105         * @param obj  the object (<code>null</code> permitted).
    106         *
    107         * @return A boolean.
    108         */
    109        public boolean equals(Object obj) {
    110            if (obj == this) {
    111                return true;
    112            }
    113            if (!super.equals(obj)) {
    114                return false;
    115            }
    116            if (!(obj instanceof ValueMarker)) {
    117                return false;
    118            }
    119            ValueMarker that = (ValueMarker) obj;
    120            if (this.value != that.value) {
    121                return false;
    122            }
    123            return true;
    124        }
    125    }